package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

public class AnswerSearchV2Request extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "bookId", value = "练习册id", required = true)
    private String bookId;

    @ApiModelProperty(name = "unitId", value = "单元id", required = false)
    private String unitId;

    @ApiModelProperty(name = "periodId", value = "课时id", required = false)
    private String periodId;

    @ApiModelProperty(name = "pageIndexs", value = "页码", required = false)
    private List<Integer> pageIndexs;

    @NotBlank
    @ApiModelProperty(name = "homeworkPictureId", value = "学生当天作业图片id", required = false)
    private String homeworkPictureId;

    @ApiModelProperty(name = "questionIds", value = "识别出的题目id列表", required = false)
    private List<String> questionIds;

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }

    public List<Integer> getPageIndexs() {
        return pageIndexs;
    }

    public void setPageIndexs(List<Integer> pageIndexs) {
        this.pageIndexs = pageIndexs;
    }

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public List<String> getQuestionIds() {
        return questionIds;
    }

    public void setQuestionIds(List<String> questionIds) {
        this.questionIds = questionIds;
    }
}
